//
//  UILabel+DRF_GetAdaptFrame.m
//  DRF_TureStoreroom
//
//  Created by DRF on 2016/12/2.
//  Copyright © 2016年 DRF. All rights reserved.
//

#import "UILabel+DRF_GetAdaptFrame.h"

@implementation UILabel (DRF_GetAdaptFrame)

-(void)adaptHeightWithText:(NSString *)text font:(CGFloat)font x:(CGFloat)x y:(CGFloat)y width:(CGFloat)width{
    
    NSDictionary *dic = @{NSFontAttributeName:[UIFont systemFontOfSize:font]};
    CGSize size = CGSizeMake(width, CGFLOAT_MAX);
    CGRect rect = [text boundingRectWithSize:size options:NSStringDrawingUsesLineFragmentOrigin attributes:dic context:nil];
    
    self.text = text;
    self.font = [UIFont systemFontOfSize:font];
    self.frame = CGRectMake(x, y, width, rect.size.height);
    self.numberOfLines = 0;
}

-(void)adaptWidthWithText:(NSString *)text font:(CGFloat)font x:(CGFloat)x y:(CGFloat)y{
    
    NSDictionary *dic = @{NSFontAttributeName:[UIFont systemFontOfSize:font]};
    CGSize widthSize = CGSizeMake(CGFLOAT_MAX, CGFLOAT_MAX);
    CGRect widthRect = [text boundingRectWithSize:widthSize options:NSStringDrawingUsesLineFragmentOrigin attributes:dic context:nil];
    
    CGSize heightSize = CGSizeMake(widthRect.size.width, CGFLOAT_MAX);
    CGRect heightRect = [@"一" boundingRectWithSize:heightSize options:NSStringDrawingUsesLineFragmentOrigin attributes:dic context:nil];
    
    self.text = text;
    self.font = [UIFont systemFontOfSize:font];
    self.frame = CGRectMake(x, y, widthRect.size.width, heightRect.size.height);
}

@end
